Skip to main content
GET
/
api
/
Reminder
/
ByContact
/
{contactId}
/
Active
Get Active Manual Reminders by Contact
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Reminder/ByContact/{contactId}/Active \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "message": "<string>",
      "targetDate": "<string>",
      "targetResolutionDateUtc": "<dateTime>",
      "contactId": "<integer>",
      "contactViewUrl": "<string>",
      "contactDisplayName": "<string>",
      "contactAvatarUrl": "<string>",
      "reminderType": "<string>",
      "reminderTypeDisplayName": "<string>",
      "taskStatus": "<string>",
      "taskStatusDisplayName": "<string>",
      "completeUrl": "<string>",
      "dismissUrl": "<string>",
      "description": "<string>",
      "hasContact": "<boolean>",
      "isPastDue": "<boolean>",
      "isUnresolved": "<boolean>",
      "canComplete": "<boolean>",
      "completeActionName": "<string>",
      "canCompleteWithNote": "<boolean>",
      "owner": "<string>",
      "ownerAvatarUrl": "<string>"
    },
    {
      "id": "<integer>",
      "message": "<string>",
      "targetDate": "<string>",
      "targetResolutionDateUtc": "<dateTime>",
      "contactId": "<integer>",
      "contactViewUrl": "<string>",
      "contactDisplayName": "<string>",
      "contactAvatarUrl": "<string>",
      "reminderType": "<string>",
      "reminderTypeDisplayName": "<string>",
      "taskStatus": "<string>",
      "taskStatusDisplayName": "<string>",
      "completeUrl": "<string>",
      "dismissUrl": "<string>",
      "description": "<string>",
      "hasContact": "<boolean>",
      "isPastDue": "<boolean>",
      "isUnresolved": "<boolean>",
      "canComplete": "<boolean>",
      "completeActionName": "<string>",
      "canCompleteWithNote": "<boolean>",
      "owner": "<string>",
      "ownerAvatarUrl": "<string>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
string
required

(Required) The contact identifier.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026